cannot enter rescue or emergency state from running system

Bug #1661851 reported by Detlev Zundel on 2017-02-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Undecided
Unassigned

Bug Description

Typing "systemctl rescue" in a running system brings down the system and prompts

Welcome to rescue mode! After logging in, type "journalctl -xb" to view
system logs, "systemctl reboot" to reboot, "systemctl default" or ^D to
boot into default mode.
Press Enter for maintenance
(or press Control-D to continue):

Unfortunately the system is then completely dead. No keyboard entry works, not even 7 times
Ctrl-Alt-Del reboot the system.

I have this behaviour on a real 16.04 system and on a VirtualBox VM.

On the VM I currently have problems entering rescue mode by GRUB selection (different problem to be files separately), so these two bugs combined make it impossible for me to enter rescue mode there.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: systemd 229-4ubuntu16
ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
Uname: Linux 4.4.0-62-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
CurrentDesktop: GNOME
Date: Sat Feb 4 16:01:01 2017
InstallationDate: Installed on 2015-03-27 (680 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
MachineType: Hewlett-Packard HP EliteBook 8460p
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-62-generic root=UUID=310be2be-96ea-4fe9-b929-75605e718fdc ro resume=/dev/sda6 loop.max_part=63 quiet splash vt.handoff=7
SourcePackage: systemd
SystemdDelta:
 [EXTENDED] /lib/systemd/system/systemd-timesyncd.service → /lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf
 [EXTENDED] /lib/systemd/system/rc-local.service → /lib/systemd/system/rc-local.service.d/debian.conf
 [EXTENDED] /etc/systemd/system/display-manager.service → /lib/systemd/system/display-manager.service.d/xdiagnose.conf

 3 overridden configuration files found.
UpgradeStatus: Upgraded to xenial on 2016-12-01 (64 days ago)
dmi.bios.date: 12/22/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68SCF Ver. F.22
dmi.board.name: 161C
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 97.4A
dmi.chassis.asset.tag: 617H
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68SCFVer.F.22:bd12/22/2011:svnHewlett-Packard:pnHPEliteBook8460p:pvrA0001D02:rvnHewlett-Packard:rn161C:rvrKBCVersion97.4A:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8460p
dmi.product.version: A0001D02
dmi.sys.vendor: Hewlett-Packard

Detlev Zundel (laodzu) wrote :
Detlev Zundel (laodzu) wrote :

One more info - after making the journal persistent, this is the end of the journal for the session ending with the hang:

....
Feb 04 16:22:00 harry systemd[1]: Stopped ACPI Events Check.
Feb 04 16:22:00 harry systemd[1]: Stopped target Sockets.
Feb 04 16:22:00 harry systemd[1]: Closed UUID daemon activation socket.
Feb 04 16:22:00 harry systemd[1]: Closed RPCbind Server Activation Socket.
Feb 04 16:22:00 harry systemd[1]: Closed Syslog Socket.
Feb 04 16:22:00 harry systemd[1]: Closed CUPS Scheduler.
Feb 04 16:22:00 harry systemd[1]: Closed Socket activation for snappy daemon.
Feb 04 16:22:00 harry systemd[1]: Closed D-Bus System Message Bus Socket.
Feb 04 16:22:00 harry systemd[1]: Closed Avahi mDNS/DNS-SD Stack Activation Socket.
Feb 04 16:22:00 harry systemd[1]: Closed ACPID Listen Socket.
Feb 04 16:22:00 harry systemd[1]: Closed /dev/initctl Compatibility Named Pipe.
Feb 04 16:22:00 harry systemd[1]: Stopped target Slices.
Feb 04 16:22:00 harry systemd[1]: Received SIGRTMIN+21 from PID 4068 (plymouthd).

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in systemd (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers